org.apache.poi.hemf.record.emfplus

## Enum HemfPlusObject.EmfPlusObjectType

- java.lang.Object
- - java.lang.Enum<HemfPlusObject.EmfPlusObjectType>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusObject.EmfPlusObjectType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusObject.EmfPlusObjectType>
  Enclosing class:
    HemfPlusObject

      public static enum HemfPlusObject.EmfPlusObjectType
      extends java.lang.Enum<HemfPlusObject.EmfPlusObjectType>

  The ObjectType enumeration defines types of graphics objects that can be created and used in graphics operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BRUSH` Brush objects fill graphics regions.
    `CUSTOM_LINE_CAP` Custom line cap objects specify shapes to draw at the ends of a graphics line, including squares, circles, and diamonds.
    `FONT` Font objects specify font properties, including typeface style, em size, and font family.
    `IMAGE` Image objects encapsulate bitmaps and metafiles.
    `IMAGE_ATTRIBUTES` Image attribute objects specify operations on pixels during image rendering, including color adjustment, grayscale adjustment, gamma correction, and color mapping.
    `INVALID` The object is not a valid object.
    `PATH` Path objects specify sequences of lines, curves, and shapes.
    `PEN` Pen objects draw graphics lines.
    `REGION` Region objects specify areas of the output surface.
    `STRING_FORMAT` String format objects specify text layout, including alignment, orientation, tab stops, clipping, and digit substitution for languages that do not use Western European digits.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.function.Supplier<? extends HemfPlusObject.EmfPlusObjectData>` | `constructor`
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusObject.EmfPlusObjectType` | `valueOf(int id)`
    `static HemfPlusObject.EmfPlusObjectType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusObject.EmfPlusObjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALID

          public static final HemfPlusObject.EmfPlusObjectType INVALID

      The object is not a valid object.

    - #### BRUSH

          public static final HemfPlusObject.EmfPlusObjectType BRUSH

      Brush objects fill graphics regions.

    - #### PEN

          public static final HemfPlusObject.EmfPlusObjectType PEN

      Pen objects draw graphics lines.

    - #### PATH

          public static final HemfPlusObject.EmfPlusObjectType PATH

      Path objects specify sequences of lines, curves, and shapes.

    - #### REGION

          public static final HemfPlusObject.EmfPlusObjectType REGION

      Region objects specify areas of the output surface.

    - #### IMAGE

          public static final HemfPlusObject.EmfPlusObjectType IMAGE

      Image objects encapsulate bitmaps and metafiles.

    - #### FONT

          public static final HemfPlusObject.EmfPlusObjectType FONT

      Font objects specify font properties, including typeface style, em size, and font family.

    - #### STRING_FORMAT

          public static final HemfPlusObject.EmfPlusObjectType STRING_FORMAT

      String format objects specify text layout, including alignment, orientation, tab stops, clipping, and digit substitution for languages that do not use Western European digits.

    - #### IMAGE_ATTRIBUTES

          public static final HemfPlusObject.EmfPlusObjectType IMAGE_ATTRIBUTES

      Image attribute objects specify operations on pixels during image rendering, including color adjustment, grayscale adjustment, gamma correction, and color mapping.

    - #### CUSTOM_LINE_CAP

          public static final HemfPlusObject.EmfPlusObjectType CUSTOM_LINE_CAP

      Custom line cap objects specify shapes to draw at the ends of a graphics line, including squares, circles, and diamonds.

  - ### Field Detail

    - #### id

          public final int id

    - #### constructor

          public final java.util.function.Supplier<? extends HemfPlusObject.EmfPlusObjectData> constructor

  - ### Method Detail

    - #### values

          public static HemfPlusObject.EmfPlusObjectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusObject.EmfPlusObjectType c : HemfPlusObject.EmfPlusObjectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusObject.EmfPlusObjectType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusObject.EmfPlusObjectType valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.